org.eclipse.cdt.utils.macho

## Class MachO64.SymbolComparator

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.SymbolComparator

All Implemented Interfaces:
  Comparator<Object>

Enclosing class:
  MachO64

    public static class MachO64.SymbolComparator
    extends Object
    implements Comparator<Object>

We have to implement a separate comparator since when we do the binary search down below we are using a Long and a Symbol object and the Long doesn't know how to compare against a Symbol so if we compare Symbol vs Long it is ok, but not if we do Long vs Symbol.

### Constructor Summary

Constructors
Constructor and Description
`SymbolComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Object o1, Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SymbolComparator

    public SymbolComparator()

### Method Detail

#### compare

    public int compare(Object o1,
                       Object o2)

Specified by:
  `compare` in interface `Comparator<Object>`